<template>
  <div class="menu-main">
    <div class="header-bar font-24">{{ projectName }}</div>
    <div style="height: 8px"></div>
    <div class="row item-bar" :class="selectedInfo()" @click="goToInfo()">
      <div class="q-pr-md">
        <q-icon name="fa-solid fa-circle-info" size="24px" />
      </div>
      <div>Infomation</div>
    </div>
    <hr />
    <div class="row item-bar" :class="selectedSensor()" @click="goToSensor()">
      <div class="q-pr-md">
        <q-icon name="fa-solid fa-bore-hole" size="24px" />
      </div>
      <div>Sensor</div>
    </div>
    <hr />
    <div class="row item-bar" :class="selectedReport()" @click="goToReport()">
      <div class="q-pr-md">
        <q-icon name="fa-solid fa-file-lines" size="24px" />
      </div>
      <div>Report</div>
    </div>
    <hr />
    <div class="footer">
      <hr />
      <div class="row item-footer-bar" @click="backToMainMenu()">
        <div class="q-pr-md">
          <q-icon name="fa-solid fa-arrow-right-from-bracket" size="24px" />
        </div>
        <div>Back to main menu</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      projectName: "",
      pageName: "",
      projectID: this.$route.params.id,
    };
  },
  methods: {
    goToInfo() {
      if (this.pageName != "info") {
        this.$router.push("/info/" + this.projectID);
      }
    },
    selectedInfo() {
      if (this.pageName == "info") {
        return "selected-item";
      }
    },
    goToSensor() {
      if (this.pageName != "sensor") {
        this.$router.push("/sensor/" + this.projectID);
      }
    },
    selectedSensor() {
      if (this.pageName == "sensor") {
        return "selected-item";
      }
    },
    goToReport() {
      if (this.pageName != "report") {
        this.$router.push("/report/" + this.projectID);
      }
    },
    selectedReport() {
      if (this.pageName == "report") {
        return "selected-item";
      }
    },

    backToMainMenu() {
      this.$router.push("/main");
    },
    loadProjectName() {
      this.projectName =
        this.$q.localStorage.getItem("projectInfo").projectName;
    },
  },
  mounted() {
    this.loadProjectName();
    this.pageName = this.$route.name;
  },
};
</script>

<style lang="scss" scoped>
.menu-main {
  width: 300px;
  background-color: #1d1939;
  height: 100vh;
  color: white;
}
.header-bar {
  background-color: #287377;
  color: white;
  height: 60px;
  line-height: 60px;
  text-align: center;
}
.item-bar {
  height: 45px;
  line-height: 45px;
  padding-left: 15px;
}
.item-bar:hover {
  background-color: rgba($color: #287377, $alpha: 0.5);
  cursor: pointer;
}
.item-footer-bar {
  height: 45px;
  line-height: 45px;
  width: 100%;
  padding-left: 15px;
}
.item-footer-bar:hover {
  background-color: rgba($color: #287377, $alpha: 0.5);
  cursor: pointer;
}
.selected-item {
  background-color: rgba($color: #287377, $alpha: 0.5);
}
.footer {
  position: absolute;
  bottom: 20px;
  width: 300px;
}
hr {
  background-color: #837f7f;
  height: 1px;
  border: none;
}
</style>
